﻿using Entities.SQLudeoDB;
using Model.Business;
using Model.DTO;

namespace Model.Mappers
{
    public static class SuccessMapper
    {
        public static Success FromDTOToModel(this SuccessDTO dto)
        {
            return new Success(dto.UserId, dto.InquiryId, dto.IsFinished);
        }

        public static Success FromEntityToModel(this SuccessEntity entity)
        {
            return new Success(entity.UserId, entity.InquiryId, entity.IsFinished);
        }

        public static SuccessDTO FromModelToDTO(this Success success)
        {
            return new SuccessDTO(success.UserId, success.InquiryId, success.IsFinished);
        }

        public static SuccessEntity FromModelToEntity(this Success success)
        {
            return new SuccessEntity(success.UserId, success.InquiryId, success.IsFinished);
        }
    }
}
